#pragma once
#include <map>
struct Fish_SoundCFGData
{
	//声音ID
	int mSoundID;
	//声音名字
	std::string mSoundName;
	//声音路径
	std::string mSoundPath;
	//声音时间
	int mSoundTime;
	//声音类型
	int mSoundType;
	//声音优先级
	int mSoundPriority;
};

class Fish_SoundCFG
{
public:
private:
	static std::auto_ptr<Fish_SoundCFG> msSingleton;
public:
	int GetCount();
	const Fish_SoundCFGData* GetData(int SoundID);
	const std::map<int, Fish_SoundCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SoundCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SoundCFGData> mMapData;
};
